#ifndef KLICQ_H
#define KLICQ_H
 
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "icq.h"
#include "licqgui.h"
#include <kapp.h>
#include <kwm.h>
#include <ktmainwindow.h>
#include <qpopmenu.h>
#include <qlabel.h>
#include <qpainter.h>
#include <qpixmap.h>

class KLicq : public QLabel
{
	Q_OBJECT

public:
	KLicq(bool isDocked);
	~KLicq();
	
	void reset();

signals:
	void change_status_from_dock(int);
	void quitapp();
	void lowericq();
	void raiseicq();
        void doubleClicked();

public slots:
        void change_dock_icon(unsigned short int);
        void m_dock();

protected slots:	
	void popresult(int index);
	        
protected:
	void m_popupMenu(int x,int y);
        void mousePressEvent(QMouseEvent *);
        void mouseDoubleClickEvent(QMouseEvent *);
	QPixmap *pmOnline, *pmOffline, *pmAway, *pmDnd, *pmOccupied, *pmNa, *pmMessage; 
    
private:
	void m_displayPixmap();
	bool m_isDocked;
	const QPixmap* OwnerIcon;
};

#endif

